Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.addrbook
Class FellowLoader

    java.lang.Object
      com.knowgate.addrbook.FellowLoader

All Implemented Interfaces:
  ImportLoader

    public class FellowLoader

extends java.lang.Object
implements ImportLoader

Load fellow data from a single source

Field Summary
`static int` | `bo_active`
`static int` | `bo_change_pwd`
`static int` | `bo_searchable`
`static int` | `de_title`
`static int` | `dt_birth`
`static int` | `dt_cancel`
`static int` | `dt_created`
`static int` | `dt_last_update`
`static int` | `dt_last_visit`
`static int` | `dt_modified`
`static int` | `dt_pwd_expires`
`static int` | `ext_phone`
`static int` | `gu_acl_group`
`static int` | `gu_category`
`static int` | `gu_fellow`
`static int` | `gu_user`
`static int` | `gu_workarea`
`static int` | `home_phone`
`static int` | `icq_id`
`static int` | `id_account`
`static int` | `id_boss`
`static int` | `id_domain`
`static int` | `id_gender`
`static int` | `id_ref`
`static int` | `id_title`
`static int` | `im_salary_max`
`static int` | `im_salary_min`
`static int` | `len_quota`
`static int` | `marital_status`
`static int` | `max_quota`
`static int` | `MODE_APPEND`
`static int` | `MODE_APPENDUPDATE`
`static int` | `MODE_UPDATE`
`static int` | `mov_phone`
`static int` | `nm_acl_group`
`static int` | `nm_company`
`static int` | `nm_user`
`static int` | `nm_workarea`
`static int` | `ny_age`
`static int` | `sn_passport`
`static int` | `tp_account`
`static int` | `tp_passport`
`static int` | `tp_title`
`static int` | `tx_alt_email`
`static int` | `tx_challenge`
`static int` | `tx_comments`
`static int` | `tx_company`
`static int` | `tx_dept`
`static int` | `tx_division`
`static int` | `tx_education`
`static int` | `tx_email`
`static int` | `tx_location`
`static int` | `tx_main_email`
`static int` | `tx_name`
`static int` | `tx_nickname`
`static int` | `tx_pwd`
`static int` | `tx_pwd_sign`
`static int` | `tx_reply`
`static int` | `tx_surname`
`static int` | `tx_surname1`
`static int` | `tx_surname2`
`static int` | `tx_timezone`
`static int` | `work_phone`
`static int` | `WRITE_LOOKUPS`

Fields inherited from interface com.knowgate.hipergate.datamodel.ImportLoader
`LOOUKP_TR_COLUMNS, LOOUKP_TR_COUNT`

Constructor Summary
`FellowLoader()`
`FellowLoader(java.sql.Connection oConn)` Create FellowLoader and call prepare() on Connection

Method Summary
`void` | `close()` Close ImportLoader Must be always called before ImportLoader is destroyed
`int` | `columnCount()` Get columns count
`java.lang.String[]` | `columnNames()` Get array of column names
`java.lang.Object` | `get(int iColumnIndex)` Get column by index
`java.lang.Object` | `get(java.lang.String sColumnName)` Get column by name
`int` | `getColumnIndex(java.lang.String sColumnName)` Get column index at ColumnNames array given its name This method performs binary search assuming that ColumnNames is sorted in ascending order
`void` | `prepare(java.sql.Connection oConn, ColumnList oColList)` Prepare statements for execution This method needs to be called only once if the default constructor was used.
`void` | `put(int iColumnIndex, java.lang.Object oValue)` Put value for a given column
`void` | `put(java.lang.String sColumnName, java.lang.Object oValue)` Put value for a given column If a previous value already exists then it is replaced
`void` | `putAll(java.util.Map oValues)` Put all values from a map on their corresponding columns matching by name
`void` | `setAllColumnsToNull()` Set all column values to null
`void` | `store(java.sql.Connection oConn, java.lang.String sWorkArea, int iFlags)` Store a single row or a set of related rows

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_APPEND

    public static final int MODE_APPEND

See Also:
  Constant Field Values

### MODE_UPDATE

    public static final int MODE_UPDATE

See Also:
  Constant Field Values

### MODE_APPENDUPDATE

    public static final int MODE_APPENDUPDATE

See Also:
  Constant Field Values

### WRITE_LOOKUPS

    public static final int WRITE_LOOKUPS

See Also:
  Constant Field Values

### bo_active

    public static int bo_active

### bo_change_pwd

    public static int bo_change_pwd

### bo_searchable

    public static int bo_searchable

### de_title

    public static int de_title

### dt_birth

    public static int dt_birth

### dt_cancel

    public static int dt_cancel

### dt_created

    public static int dt_created

### dt_last_update

    public static int dt_last_update

### dt_last_visit

    public static int dt_last_visit

### dt_modified

    public static int dt_modified

### dt_pwd_expires

    public static int dt_pwd_expires

### ext_phone

    public static int ext_phone

### gu_acl_group

    public static int gu_acl_group

### gu_category

    public static int gu_category

### gu_fellow

    public static int gu_fellow

### gu_user

    public static int gu_user

### gu_workarea

    public static int gu_workarea

### home_phone

    public static int home_phone

### icq_id

    public static int icq_id

### id_account

    public static int id_account

### id_boss

    public static int id_boss

### id_domain

    public static int id_domain

### id_gender

    public static int id_gender

### id_ref

    public static int id_ref

### id_title

    public static int id_title

### im_salary_max

    public static int im_salary_max

### im_salary_min

    public static int im_salary_min

### len_quota

    public static int len_quota

### marital_status

    public static int marital_status

### max_quota

    public static int max_quota

### mov_phone

    public static int mov_phone

### nm_acl_group

    public static int nm_acl_group

### nm_company

    public static int nm_company

### nm_user

    public static int nm_user

### nm_workarea

    public static int nm_workarea

### ny_age

    public static int ny_age

### sn_passport

    public static int sn_passport

### tp_account

    public static int tp_account

### tp_passport

    public static int tp_passport

### tp_title

    public static int tp_title

### tx_alt_email

    public static int tx_alt_email

### tx_challenge

    public static int tx_challenge

### tx_comments

    public static int tx_comments

### tx_company

    public static int tx_company

### tx_dept

    public static int tx_dept

### tx_division

    public static int tx_division

### tx_education

    public static int tx_education

### tx_email

    public static int tx_email

### tx_location

    public static int tx_location

### tx_main_email

    public static int tx_main_email

### tx_name

    public static int tx_name

### tx_nickname

    public static int tx_nickname

### tx_pwd

    public static int tx_pwd

### tx_pwd_sign

    public static int tx_pwd_sign

### tx_reply

    public static int tx_reply

### tx_surname

    public static int tx_surname

### tx_surname1

    public static int tx_surname1

### tx_surname2

    public static int tx_surname2

### tx_timezone

    public static int tx_timezone

### work_phone

    public static int work_phone

Constructor Detail

### FellowLoader

    public FellowLoader()

### FellowLoader

    public FellowLoader(java.sql.Connection oConn)
                 throws java.sql.SQLException

  Create FellowLoader and call prepare() on Connection

  Parameters:
    `oConn` - Connection
  Throws:
    `java.sql.SQLException`

Method Detail

### setAllColumnsToNull

    public void setAllColumnsToNull()

  Set all column values to null

  Specified by:
    `setAllColumnsToNull` in interface `ImportLoader`

### getColumnIndex

    public int getColumnIndex(java.lang.String sColumnName)

  Get column index at ColumnNames array given its name

  This method performs binary search assuming that ColumnNames is sorted in ascending order

  Specified by:
    `getColumnIndex` in interface `ImportLoader`
  Parameters:
    `sColumnName` - String Column name (case insensitive)
  Returns:
    int Column index or -1 if not found

### columnCount

    public int columnCount()

  Description copied from interface: `ImportLoader`
  Get columns count

  Specified by:
    `columnCount` in interface `ImportLoader`
  Returns:
    int

### columnNames

    public java.lang.String[] columnNames()
                                   throws java.lang.IllegalStateException

  Description copied from interface: `ImportLoader`
  Get array of column names

  Specified by:
    `columnNames` in interface `ImportLoader`
  Returns:
    String[]
  Throws:
    `java.lang.IllegalStateException`

### put

    public void put(int iColumnIndex,
                    java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Put value for a given column

  Specified by:
    `put` in interface `ImportLoader`
  Parameters:
    `iColumnIndex` - Column index [0..getColumnCount()-1]
    `oValue` - Value for column
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### put

    public void put(java.lang.String sColumnName,
                    java.lang.Object oValue)
             throws java.lang.ArrayIndexOutOfBoundsException

  Put value for a given column

  If a previous value already exists then it is replaced

  Specified by:
    `put` in interface `ImportLoader`
  Parameters:
    `sColumnName` - Column name (case sensitive)
    `oValue` - Value for column
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### putAll

    public void putAll(java.util.Map oValues)

  Put all values from a map on their corresponding columns matching by name

  Parameters:
    `oValues` - Map

### get

    public java.lang.Object get(int iColumnIndex)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Get column by index

  Specified by:
    `get` in interface `ImportLoader`
  Parameters:
    `iColumnIndex` - int Colunm index [0..getColumnCount()-1]
  Returns:
    Object Column value
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException`

### get

    public java.lang.Object get(java.lang.String sColumnName)
                         throws java.lang.ArrayIndexOutOfBoundsException

  Get column by name

  Specified by:
    `get` in interface `ImportLoader`
  Parameters:
    `sColumnName` - String Column name (case sensitive)
  Returns:
    Object Column value
  Throws:
    `java.lang.ArrayIndexOutOfBoundsException` - If no column with sucjh name was found

### prepare

    public void prepare(java.sql.Connection oConn,
                        ColumnList oColList)
                 throws java.sql.SQLException

  Prepare statements for execution

  This method needs to be called only once if the default constructor was used.
  If ContactLoader(Connection) constructor was used, there is no need to call prepare() and a SQLException will be raised if the attempt is made.
  It is neccesary to call close() always for prepared instances as a failure to do so will leave open cursors on the database causing it eventually to stop.

  Specified by:
    `prepare` in interface `ImportLoader`
  Parameters:
    `oConn` - Connection Open JDBC database connection
    `oColList` - ColumnList This parameter is ignored
  Throws:
    `java.sql.SQLException`

### close

    public void close()
               throws java.sql.SQLException

  Description copied from interface: `ImportLoader`

  Close ImportLoader

  Must be always called before ImportLoader is destroyed

  Specified by:
    `close` in interface `ImportLoader`
  Throws:
    `java.sql.SQLException`

### store

    public void store(java.sql.Connection oConn,
                      java.lang.String sWorkArea,
                      int iFlags)
               throws java.sql.SQLException,
                      java.lang.IllegalArgumentException,
                      java.lang.NullPointerException,
                      java.lang.ClassCastException,
                      java.lang.NumberFormatException

  Description copied from interface: `ImportLoader`
  Store a single row or a set of related rows

  Specified by:
    `store` in interface `ImportLoader`
  Parameters:
    `oConn` - Connection
    `sWorkArea` - String
    `iFlags` - int
  Throws:
    `java.sql.SQLException`
    `java.lang.IllegalArgumentException`
    `java.lang.NullPointerException`
    `java.lang.ClassCastException`
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD